.login-box {
  background: #fff;
  padding: 20px;
  max-width: 480px;
  margin: 25vh auto;
  text-align: center;
  letter-spacing: 1px;
  position: relative;
}

.login-box:hover {
  box-shadow: 0 8px 17px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
}

.login-box h2 {
  margin: 20px 0 20px;
  padding: 0;
  text-transform: uppercase;
  color: #4688F1;
}

.social-button {
  background-position: 25px 0px;
  box-sizing: border-box;
  color: rgb(255, 255, 255);
  cursor: pointer;
  display: inline-block;
  height: 50px;
  line-height: 50px;
  text-align: left;
  text-decoration: none;
  text-transform: uppercase;
  vertical-align: middle;
  width: 100%;
  border-radius: 3px;
  margin: 10px auto;
  outline: rgb(255, 255, 255) none 0px;
  padding-left: 10%;
  transition: all 0.2s cubic-bezier(0.72, 0.01, 0.56, 1) 0s;
  -webkit-transition: all .3s ease;
  -moz-transition: all .3s ease;
  -ms-transition: all .3s ease;
  -o-transition: all .3s ease;
  transition: all .3s ease;
}

.social-button svg{
  float: left;
  height: 50px;
  margin-right: 12px;
}

#apple-connect {
  background: rgb(255, 255, 255);
  border: 1px solid rgb(0, 0, 0);
}
#apple-connect svg{
  fill: rgb(0, 0, 0);
}

#apple-connect:hover , #apple-connect:focus , #apple-connect:active {
  text-decoration: none;
  border-color: rgb(255, 255, 255);
  background: rgb(0, 0, 0);
  -webkit-transition: all .8s ease-out;
  -moz-transition: all .3s ease;
  -ms-transition: all .3s ease;
  -o-transition: all .3s ease;
  transition: all .3s ease-out;
}
#apple-connect:hover svg, #apple-connect:focus svg, #apple-connect:active svg{
  fill: rgb(255, 255, 255);
}

#apple-connect span {
  box-sizing: border-box;
  color: rgb(0, 0, 0);
  cursor: pointer;
  text-align: center;
  text-transform: uppercase;
  border: 0px none rgb(0, 0, 0);
  outline: rgb(0, 0, 0) none 0px;
  -webkit-transition: all .3s ease;
  -moz-transition: all .3s ease;
  -ms-transition: all .3s ease;
  -o-transition: all .3s ease;
  transition: all .3s ease;
}

#apple-connect:hover span , #apple-connect:focus span , #apple-connect:active span {
  color: #FFF;
  -webkit-transition: all .3s ease;
  -moz-transition: all .3s ease;
  -ms-transition: all .3s ease;
  -o-transition: all .3s ease;
  transition: all .3s ease;
}

#google-connect {
  background: rgb(255, 255, 255);
  border: 1px solid rgb(220, 74, 61);
}
#google-connect svg{
  fill: rgb(220, 74, 61);
}

#google-connect:hover , #google-connect:focus , #google-connect:active {
  text-decoration: none;
  border-color: rgb(220, 74, 61);
  background: rgb(220, 74, 61);
  -webkit-transition: all .8s ease-out;
  -moz-transition: all .3s ease;
  -ms-transition: all .3s ease;
  -o-transition: all .3s ease;
  transition: all .3s ease-out;
}
#google-connect:hover svg, #google-connect:focus svg, #google-connect:active svg{
  fill: rgb(255, 255, 255);
}

#google-connect span {
  box-sizing: border-box;
  color: rgb(220, 74, 61);
  cursor: pointer;
  text-align: center;
  text-transform: uppercase;
  border: 0px none rgb(220, 74, 61);
  outline: rgb(255, 255, 255) none 0px;
  -webkit-transition: all .3s ease;
  -moz-transition: all .3s ease;
  -ms-transition: all .3s ease;
  -o-transition: all .3s ease;
  transition: all .3s ease;
}

#google-connect:hover span , #google-connect:focus span , #google-connect:active span {
  color: #FFF;
  -webkit-transition: all .3s ease;
  -moz-transition: all .3s ease;
  -ms-transition: all .3s ease;
  -o-transition: all .3s ease;
  transition: all .3s ease;
}

#uid-connect {
  background: rgb(255, 255, 255);
  border: 1px solid rgba(0,161,154,.8);
}

#uid-connect:hover , #uid-connect:focus , #uid-connect:active {
  text-decoration: none;
  border-color: rgba(0,161,154,.2);
  background: rgba(0,161,154,.1);
  -webkit-transition: all .8s ease-out;
  -moz-transition: all .3s ease;
  -ms-transition: all .3s ease;
  -o-transition: all .3s ease;
  transition: all .3s ease-out;
}

#uid-connect span {
  box-sizing: border-box;
  color: #00a19a;
  cursor: pointer;
  text-align: center;
  text-transform: uppercase;
  border: 0px none rgb(220, 74, 61);
  outline: rgb(255, 255, 255) none 0px;
  -webkit-transition: all .3s ease;
  -moz-transition: all .3s ease;
  -ms-transition: all .3s ease;
  -o-transition: all .3s ease;
  transition: all .3s ease;
}

#uid-connect:hover span , #uid-connect:focus span , #uid-connect:active span {
  /*color: #FFF;*/
  -webkit-transition: all .3s ease;
  -moz-transition: all .3s ease;
  -ms-transition: all .3s ease;
  -o-transition: all .3s ease;
  transition: all .3s ease;
}	